core / DateRollConvention

# DateRollConvention

`enum class DateRollConvention`

This reflects what happens if a date on which a business event is supposed to happen actually falls upon a non-working day Depending on the accounting requirement, we can move forward until we get to a business day, or backwards There are some additional rules which are explained in the individual cases below

### Enum Values

Actual | Dont roll the date, use the one supplied.
Following | Following is the next business date from this one.
ModifiedFollowing | "Modified following" is the next business date, unless its in the next month, in which case use the preceeding business date.
Previous | Previous is the previous business date from this one.
ModifiedPrevious | Modified previous is the previous business date, unless its in the previous month, in which case use the next business date.

### Properties

isModified | `abstract val isModified: Boolean`

### Functions

direction | `abstract fun direction(): DateRollDirection`